-- Customer specific once-script AAAR
-- Support: +31 53 4800700


SET ECHO ON
SPOOL xAADB#32837.lst
SET DEFINE OFF

UPDATE fin_factuur f
   SET prs_kostensoort_key =
          (SELECT prs_kostensoort_key
             FROM prs_kostensoort
            WHERE prs_kostensoort_upper = 'CV OND')
 WHERE f.mld_opdr_key IN (SELECT mld_opdr_key
                            FROM mld_opdr
                           WHERE    mld_melding_key
                                 || '/'
                                 || mld_opdr_bedrijfopdr_volgnr = '100358/3');


UPDATE fin_factuur f
   SET prs_kostensoort_key =
          (SELECT prs_kostensoort_key
             FROM prs_kostensoort
            WHERE prs_kostensoort_upper = 'CV SCH')
 WHERE f.mld_opdr_key IN (SELECT mld_opdr_key
                            FROM mld_opdr
                           WHERE    mld_melding_key
                                 || '/'
                                 || mld_opdr_bedrijfopdr_volgnr = '100872/2')
       OR
       f.mld_opdr_key IN (SELECT mld_opdr_key
                            FROM mld_opdr
                           WHERE    mld_melding_key
                                 || '/'
                                 || mld_opdr_bedrijfopdr_volgnr = '100872/1')
       OR 
       f.mld_opdr_key IN (SELECT mld_opdr_key
                            FROM mld_opdr
                           WHERE    mld_melding_key
                                 || '/'
                                 || mld_opdr_bedrijfopdr_volgnr = '100179/1');
            
BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SPOOL OFF
